## 0.9.4

Tons of editor optimizations, UX improvements, bug fixes and many more utilities that
enable entire new workflows and more polished experiences.

**Editor**
- Added support for multiple fonts: fonts are now resources and found in `Views > Resources > Fonts`
- Added simplified Chinese characters rendering in the editor
- Added `--import` CLI argument to import a scene file after loading a project
- Added thumbnails to resource selection dropdowns
- Added search field to resource selection dropdowns
- Added minimum and maximum values to many float and int input fields throughout the editor
- Improved resource consumption when Scene view is not visible
- Fixed joint objects not returning to original transforms after animation is disabled or no longer previewed
- Fixed Profile view graph range sometimes snapping to infinitely small frame range when view is open before runtime connects
- Fixed texture atlas debug view not visible when enabled
- Optimized loading of scenes with many meshes
- Optimized loading of compressed image cache
- Fixed crash when adding after deleting a mesh on the "Empty" project template
- Added documentation links for native components also
- Made camera fly mode in scene view smooth
- Implemented import of emissive textures
- Improved loading of alpha masked textures by automatically choosing Foliage pipeline
- Improved conversion of PBR material properties to Phong shininess parameter
- Added import of emissive color for Physical materials
- Fixed "Pasted JSON is not a JSON object" warning when copying values in Resources view
- Fixed alphaMaskThreshold Material property missing
- Fixed crash when Scene view is resized too small
- Fixed offline mode sometimes not activating
- Disabled `ALPHA_MASK` feature for "Phong Opaque Textured" and "Flat Opaque Textured" as default for future projects
- Enabled `castShadow` for "Phong Opaque Textured" and "Flat Opaque Textured" by default

**Engine**
- Implemented multi-font rendering
- Added support for emissive textures on Phong and Physical shaders
- Removed obsolete `ALPHA` feature on Phong and Physical shaders

**Runtime**
- Fixed cursor sometimes not working for touch events on default index.html template
- Fixed `404` warning in console for f0.png

**JavaScript API**
- Added experimental API for component classes
- Fixed Material color properties returning single value instead of array
- Fixed alphaMaskThreshold Material property not settable

**Components**
- video: delay auto-play until user gesture to comply with browser policies
